org.keycloak.login.freemarker

## Class FreeMarkerLoginFormsProvider

- java.lang.Object
- - org.keycloak.login.freemarker.FreeMarkerLoginFormsProvider

- All Implemented Interfaces:
    LoginFormsProvider, Provider

      public class FreeMarkerLoginFormsProvider
      extends Object
      implements LoginFormsProvider

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FreeMarkerLoginFormsProvider.MessageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreeMarkerLoginFormsProvider(ProviderSession session)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `javax.ws.rs.core.Response` | `createCode()`
    `javax.ws.rs.core.Response` | `createErrorPage()`
    `javax.ws.rs.core.Response` | `createLogin()`
    `javax.ws.rs.core.Response` | `createLoginTotp()`
    `javax.ws.rs.core.Response` | `createOAuthGrant()`
    `javax.ws.rs.core.Response` | `createPasswordReset()`
    `javax.ws.rs.core.Response` | `createRegistration()`
    `javax.ws.rs.core.Response` | `createResponse(UserModel.RequiredAction action)`
    `LoginFormsProvider` | `setAccessCode(String accessCodeId, String accessCode)`
    `LoginFormsProvider` | `setAccessRequest(List<RoleModel> realmRolesRequested, javax.ws.rs.core.MultivaluedMap<String,RoleModel> resourceRolesRequested)`
    `FreeMarkerLoginFormsProvider` | `setClient(ClientModel client)`
    `FreeMarkerLoginFormsProvider` | `setError(String message)`
    `FreeMarkerLoginFormsProvider` | `setFormData(javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `LoginFormsProvider` | `setQueryParams(javax.ws.rs.core.MultivaluedMap<String,String> queryParams)`
    `LoginFormsProvider` | `setRealm(RealmModel realm)`
    `LoginFormsProvider` | `setStatus(javax.ws.rs.core.Response.Status status)`
    `FreeMarkerLoginFormsProvider` | `setSuccess(String message)`
    `LoginFormsProvider` | `setUriInfo(javax.ws.rs.core.UriInfo uriInfo)`
    `FreeMarkerLoginFormsProvider` | `setUser(UserModel user)`
    `FreeMarkerLoginFormsProvider` | `setWarning(String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FreeMarkerLoginFormsProvider

          public FreeMarkerLoginFormsProvider(ProviderSession session)

  - ### Method Detail

    - #### setRealm

          public LoginFormsProvider setRealm(RealmModel realm)

      Specified by:
        `setRealm` in interface `LoginFormsProvider`

    - #### setUriInfo

          public LoginFormsProvider setUriInfo(javax.ws.rs.core.UriInfo uriInfo)

      Specified by:
        `setUriInfo` in interface `LoginFormsProvider`

    - #### createResponse

          public javax.ws.rs.core.Response createResponse(UserModel.RequiredAction action)

      Specified by:
        `createResponse` in interface `LoginFormsProvider`

    - #### createLogin

          public javax.ws.rs.core.Response createLogin()

      Specified by:
        `createLogin` in interface `LoginFormsProvider`

    - #### createPasswordReset

          public javax.ws.rs.core.Response createPasswordReset()

      Specified by:
        `createPasswordReset` in interface `LoginFormsProvider`

    - #### createLoginTotp

          public javax.ws.rs.core.Response createLoginTotp()

      Specified by:
        `createLoginTotp` in interface `LoginFormsProvider`

    - #### createRegistration

          public javax.ws.rs.core.Response createRegistration()

      Specified by:
        `createRegistration` in interface `LoginFormsProvider`

    - #### createErrorPage

          public javax.ws.rs.core.Response createErrorPage()

      Specified by:
        `createErrorPage` in interface `LoginFormsProvider`

    - #### createOAuthGrant

          public javax.ws.rs.core.Response createOAuthGrant()

      Specified by:
        `createOAuthGrant` in interface `LoginFormsProvider`

    - #### createCode

          public javax.ws.rs.core.Response createCode()

      Specified by:
        `createCode` in interface `LoginFormsProvider`

    - #### setError

          public FreeMarkerLoginFormsProvider setError(String message)

      Specified by:
        `setError` in interface `LoginFormsProvider`

    - #### setSuccess

          public FreeMarkerLoginFormsProvider setSuccess(String message)

      Specified by:
        `setSuccess` in interface `LoginFormsProvider`

    - #### setWarning

          public FreeMarkerLoginFormsProvider setWarning(String message)

      Specified by:
        `setWarning` in interface `LoginFormsProvider`

    - #### setUser

          public FreeMarkerLoginFormsProvider setUser(UserModel user)

      Specified by:
        `setUser` in interface `LoginFormsProvider`

    - #### setClient

          public FreeMarkerLoginFormsProvider setClient(ClientModel client)

      Specified by:
        `setClient` in interface `LoginFormsProvider`

    - #### setFormData

          public FreeMarkerLoginFormsProvider setFormData(javax.ws.rs.core.MultivaluedMap<String,String> formData)

      Specified by:
        `setFormData` in interface `LoginFormsProvider`

    - #### setAccessCode

          public LoginFormsProvider setAccessCode(String accessCodeId,
                                         String accessCode)

      Specified by:
        `setAccessCode` in interface `LoginFormsProvider`

    - #### setAccessRequest

          public LoginFormsProvider setAccessRequest(List<RoleModel> realmRolesRequested,
                                            javax.ws.rs.core.MultivaluedMap<String,RoleModel> resourceRolesRequested)

      Specified by:
        `setAccessRequest` in interface `LoginFormsProvider`

    - #### setStatus

          public LoginFormsProvider setStatus(javax.ws.rs.core.Response.Status status)

      Specified by:
        `setStatus` in interface `LoginFormsProvider`

    - #### setQueryParams

          public LoginFormsProvider setQueryParams(javax.ws.rs.core.MultivaluedMap<String,String> queryParams)

      Specified by:
        `setQueryParams` in interface `LoginFormsProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2014. All Rights Reserved.